Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class FontAdder

    java.lang.Object
      org.apache.fop.fonts.FontAdder

    public class FontAdder

extends java.lang.Object

Adds a list of fonts to a given font info list

Constructor Summary
`FontAdder(FontManager manager, FontResolver resolver, FontEventListener listener)` Main constructor

Method Summary
`void` | `add(java.util.List<java.net.URL> fontURLList, java.util.List<EmbedFontInfo> fontInfoList)` Iterates over font url list adding to font info list

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontAdder

    public FontAdder(FontManager manager,
                     FontResolver resolver,
                     FontEventListener listener)

  Main constructor

  Parameters:
    `manager` - a font manager
    `resolver` - a font resolver
    `listener` - a font event handler

Method Detail

### add

    public void add(java.util.List<java.net.URL> fontURLList,
                    java.util.List<EmbedFontInfo> fontInfoList)

  Iterates over font url list adding to font info list

  Parameters:
    `fontURLList` - font file list
    `fontInfoList` - a configured font info list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.